com.h3c.util.pkt

## Enum IpVersion

- java.lang.Object
- - java.lang.Enum<IpVersion>
  - - com.h3c.util.pkt.IpVersion

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<IpVersion>

      public enum IpVersion
      extends Enum<IpVersion>
      implements ProtocolEnum

  IP versions.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `V4` Version IPv4.
    `V6` Version IPv6.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static IpVersion` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IpVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### V4

          public static final IpVersion V4

      Version IPv4.

    - #### V6

          public static final IpVersion V6

      Version IPv6.

  - ### Method Detail

    - #### values

          public static IpVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IpVersion c : IpVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IpVersion valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.